import { ITranslator } from '@jupyterlab/translation';
import { ReactWidget } from '@jupyterlab/ui-components';
/**
 * A namespace for ImportSettings.
 */
declare namespace ImportSettings {
    /**
     * The props for the ImportSettings component.
     */
    interface IOptions {
        importedSettings: string[];
        handleImport: (settings: string[]) => void;
        translator: ITranslator;
    }
    /**
     * The props for the ImportSettings DialogBox body.
     */
    interface IDialogBodyBodyOptions {
        successMessage: string;
        failureMessage?: string;
        failedSettings?: string[];
    }
}
/**
 * A widget for importing settings with checkboxes.
 */
export declare class ImportSettingsWidget extends ReactWidget {
    /**
     * Constructs a new ImportSettingsWidget.
     *
     * @param importedSettings - The settings to display.
     * @param handleImport - A callback for handling imports.
     */
    constructor(options: ImportSettings.IOptions);
    render(): JSX.Element;
    private importedSettings;
    private handleImport;
    private translator;
}
export declare class ImportSettingsDialogBodyWidget extends ReactWidget {
    private _props;
    constructor(_props: ImportSettings.IDialogBodyBodyOptions);
    render(): JSX.Element;
}
export {};
